#!/bin/bash
#
# 2005/07/01 Y.Kanitani #01 dir changes
. sh/cgi.rc

[ $# -ne 2 ] && exit 102

# 2005/07/01 Y.Kanitani #01 start
INIT_CWD=`pwd`
# 2005/07/01 Y.Kanitani #01 end

BKUP_FILE=$1
BKUP_LIST=$2
LIST_TMP1=$"${BKUP_ROOT_DIR}/extract.tmp1"
LIST_TMP2=$"${BKUP_ROOT_DIR}/extract.tmp2"

exec_restore() {
#make of dir
	[ -d $BKUP_ROOT_DIR ] || mkdir $BKUP_ROOT_DIR 2>/dev/null 1>/dev/null
	RETVAL=$?
	[ $RETVAL -ne 0 ] && return 103

#get archive file list
	tar tf $BKUP_FILE 1>$LIST_TMP1 2>/dev/null
	RETVAL=$?
	[ $RETVAL -ne 0 ] && return 105

#compare file list
	diff $LIST_TMP1 ${BKUP_LIST} 2>/dev/null 1>/dev/null
	RETVAL=$?
	[ $RETVAL -ne 0 ] && return 2
#check complete

##01	cd /
##01 start
	cd ${BKUP_ROOT_DIR}
##01 end
#extract root dir
	tar xf ${INIT_CWD}/${BKUP_FILE} 2>/dev/null 1>/dev/null
	RETVAL=$?
	[ $RETVAL -ne 0 ] && return 110

# for test
	#sleep 60
#remake channel
##01	[ -f ./cf2/conf/Config.txt ] || return 111
##01	${ROOT_DIR}/chRealloc -f ./cf2/conf/Config.txt 2>/dev/null 1>/dev/null
##01 start
	[ -f ./conf/Config.txt ] || return 111
	cd ${ROOT_DIR}
	./chRealloc ${BKUP_ROOT_DIR}/conf/Config.txt 2>/dev/null 1>/dev/null
##01 end
	RETVAL=$?
	[ $RETVAL -ne 0 ] && return 112
##01 start
	cd ${INIT_CWD}
	tar xf $BKUP_FILE 2>/dev/null 1>/dev/null
	RETVAL=$?
	[ $RETVAL -ne 0 ] && return 113
##01 end

	return	0
}

RETVAL=0
exec_restore
RETVAL=$?

#remove temp files
rm -rf $BKUP_ROOT_DIR 2>/dev/null 1>/dev/null

#remove backup file
rm -f $BKUP_FILE 2>/dev/null 1>/dev/null

#echo $"end:"$RETVAL

exit $RETVAL
