#!/bin/sh
#AXIS 262 only

EXCEPT_APP=""
[ $# -ne 0 ] && EXCEPT_APP=$1

if [ "$EXCEPT_APP" != "httpd" ] ; then
	if [ -f mem/httpd.pid ]; then /bin/kill -TERM `/bin/cat mem/httpd.pid` 2> /dev/null 1>/dev/null
	fi
fi

if [ "$EXCEPT_APP" != "resetWatch" ] ; then
	if [ -f mem/resetWatch.pid ]; then
		/bin/kill -TERM `/bin/cat mem/resetWatch.pid` 2>/dev/null 1>/dev/null
	fi
fi

if [ "$EXCEPT_APP" != "arppingd" ] ; then
	if [ -f mem/arppingd.pid ]; then
		/bin/kill -TERM `/bin/cat mem/arppingd.pid` 2>/dev/null 1>/dev/null
	fi
fi

if [ "$EXCEPT_APP" != "lcd_off" ] ; then
	if [ -f mem/lcd_off.pid ]; then
		/bin/kill -INT `/bin/cat mem/lcd_off.pid` 2>/dev/null 1>/dev/null
	fi
fi

if [ "$EXCEPT_APP" != "localAlarmNotice" ] ; then
	if [ -f mem/localAlarmNotice.pid ]; then
		/bin/kill -TERM `/bin/cat mem/localAlarmNotice.pid` 2>/dev/null 1>/dev/null
	fi
fi

if [ "$EXCEPT_APP" != "scheduleNotice" ] ; then
	if [ -f mem/scheduleNotice.pid ]; then
		/bin/kill -TERM `/bin/cat mem/scheduleNotice.pid` 2>/dev/null 1>/dev/null
	fi
fi

if [ "$EXCEPT_APP" != "HikeVideoWebServer" ] ; then
	if [ -f mem/HikeVideoWebServer.pid ]; then
		/bin/kill -TERM `/bin/cat mem/HikeVideoWebServer.pid` 2>/dev/null 1>/dev/null
	fi
fi

if [ "$EXCEPT_APP" != "DiskTool" ] ; then
	if [ -f mem/DiskTool.pid ]; then
		/bin/kill -TERM `/bin/cat mem/DiskTool.pid` 2>/dev/null 1>/dev/null
	fi
fi

if [ "$EXCEPT_APP" != "CameraAlarmAXISJPEGMP" ] ; then
	FILES=`/bin/ls mem/CameraAlarmAXISJPEGMP_*.pid 2>/dev/null`
	for file in $FILES ; do
		if [ -f $file ]; then
			/bin/kill -TERM `/bin/cat $file` 2>/dev/null 1>/dev/null
		fi
	done
fi

if [ "$EXCEPT_APP" != "AXISJPEGMultiPart" ] ; then
	FILES=`/bin/ls mem/AXISJPEGMultiPart*.pid 2>/dev/null`
	for file in $FILES ; do
		if [ -f $file ]; then
			/bin/kill -TERM `/bin/cat $file` 2>/dev/null 1>/dev/null
		fi
	done
fi

if [ "$EXCEPT_APP" != "MPEG4CamG1" ] ; then
	FILES=`/bin/ls mem/MPEG4CamG1_*.pid 2>/dev/null`
	for file in $FILES ; do
		if [ -f $file ]; then
			/bin/kill -TERM `/bin/cat $file` 2>/dev/null 1>/dev/null
		fi
	done
fi

if [ "$EXCEPT_APP" != "AudioCamG1" ] ; then
	FILES=`/bin/ls mem/AudioCamG1_*.pid 2>/dev/null`
	for file in $FILES ; do
		if [ -f $file ]; then
			/bin/kill -TERM `/bin/cat $file` 2>/dev/null 1>/dev/null
		fi
	done
fi

