#!/bin/sh
#AXIS 262 only
#2005.06.20 S.Hirai Update CamaraToCamera

if [ -f mem/httpd.pid ]; then
	/bin/kill -TERM `cat mem/httpd.pid` >& /dev/null
fi

if [ -f mem/resetWatch.pid ]; then
	/bin/kill -TERM `cat mem/resetWatch.pid` >& /dev/null
fi

if [ -f mem/lcd_off.pid ]; then
	/bin/kill -INT `cat mem/lcd_off.pid` >& /dev/null
fi

if [ -f mem/localAlarmNotice.pid ]; then
	/bin/kill -TERM `cat mem/localAlarmNotice.pid` >& /dev/null
fi

if [ -f mem/scheduleNotice.pid ]; then
	/bin/kill -TERM `cat mem/scheduleNotice.pid` >& /dev/null
fi

if [ -f mem/HikeVideoWebServer.pid ]; then
	/bin/kill -TERM `cat mem/HikeVideoWebServer.pid` >& /dev/null
fi

ch=0
while [ $ch -lt 16 ]
do
	if [ $ch -lt 10 ]; then
		file=mem/CameraAlarmAXISJPEGMP_0$ch.pid
	else
		file=mem/CameraAlarmAXISJPEGMP_$ch.pid
	fi

	if [ -f $file ]; then
		/bin/kill -TERM `cat $file` >& /dev/null
	fi

	ch=`expr $ch + 1`
done

ch=0
while [ $ch -lt 16 ]
do
	if [ $ch -lt 10 ]; then
		file=mem/AXISJPEGMultiPart_0$ch.pid
	else
		file=mem/AXISJPEGMultiPart_$ch.pid
	fi

	if [ -f $file ]; then
		/bin/kill -TERM `cat $file` >& /dev/null
	fi

	ch=`expr $ch + 1`
done
