#!/bin/bash
#
#2005.05.13 T.Okada Create
#2005.05.16 S.Hirai Kumikomi HDDFormat

umount -f /dev/hda2
umount -f /dev/hda3

sfdisk /dev/hda -uM <<EOF
3000,,da
0,2000,83
,,83
,0
EOF
#
# Set S.M.A.R.T. on for HGST drive
smartctl -s on /dev/hda
#
# Make ext3 file system to /dev/hda2, hda3
mkfs -t ext3 /dev/hda2
tune2fs -i0 -c0 /dev/hda2
mkfs -t ext3 /dev/hda3
tune2fs -i0 -c0 /dev/hda3
# End
